<% host_tag ||= nil %>
<tr class="<%= row_cycle %> tag-row" id="tag_<%= host_tag.id %>">
  <%= form_for :host_tag, :url => {:action => "edit"}, :html => {:method => :post} do |f| %>
    <%= f.hidden_field "id", {:value => host_tag.id} %>
		<td>
			<%= link_to(h(host_tag.name), (hosts_path(@workspace) << "?search=%23" << h(host_tag.name)), :class => "tag-link") %>
			<span class="btn" style="padding-left:5px; padding-right:5px;" onClick="reveal_tag_rename_field(<%=host_tag.id%>);">Rename</span>
			<div id="tag_rename_field_<%=host_tag.id%>" style="display:none;">
				<br/>
				<%= f.text_field :name, :value => host_tag.name, :class => :multitag, :size => host_tag.name.size + 1 %>
				<br/>
			</div>

		</td>
    <td><%= f.text_area :desc, {:rows => 4, :cols => 50, :value => host_tag.desc} %>
      <br/>
      <span class="btn"><%= f.submit "Update ##{h(host_tag.name)}", :class => "edit" %></span>
      <span class="btn"><%= f.submit "Delete ##{h(host_tag.name)}", :confirm => "Delete ##{host_tag.name}?", :class => "delete" %></td>
      <td>
      <table class="list mar-tb10" style="background-color: transparent;">
        <tr><td>
            <%= f.check_box :report_summary, :checked => host_tag.report_summary%>
            <%= f.label :report_summary, "Include in report summary?", :class => :inline %>
        </td></tr>
        <tr><td>
            <%= f.check_box :report_detail, :checked => host_tag.report_detail%>
            <%= f.label :report_detail, "Include in report details?", :class => :inline %>
        </td></tr>
        <tr><td class="<%= host_tag.critical ? "critical_note" : ""%>">
            <%= f.check_box :critical, :checked => host_tag.critical%>
            <%= f.label :critical, "Critical Finding?", :class => :inline %>
        </td></tr>
      </table>
    </td>
    <td>
      <table class="list mar-tb10">
        <% host_tag.hosts.each do |host| %>
        <tr><td>
            <%= check_box_tag("host_ids[]", host.id, true, :id => nil) %>
            <%= link_to(h(host.name_and_address), host) %>
        </td></tr>
        <% end %>
      </table>
    </td>
  <% end %>
</tr>

